changeset 1498:941eaecb41d6

Add diagnostic message for a bug that bit me more than once. If I spend half an hour going "what?" at code I wrote, I need to warn others.
author Rob Landley <rob@landley.net>
date Sat, 04 Feb 2012 12:15:19 -0600
parents 3fa412453267
children 461d70885b17
files sources/include.sh
diffstat 1 files changed, 1 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/sources/include.sh	Fri Feb 03 12:16:14 2012 -0600
+++ b/sources/include.sh	Sat Feb 04 12:15:19 2012 -0600
@@ -77,6 +77,7 @@
 if [ -f "$WRAPDIR/wrappy" ]
 then
   mkdir -p "$BUILD/logs"
+  [ $? -ne 0 ] && echo "Bad $WRAPDIR" >&2 && dienow
   export WRAPPY_LOGPATH="$BUILD/logs/cmdlines.$ARCH_NAME.early"
   OLDPATH="$PATH:$OLDPATH"
   PATH="$WRAPDIR"